    import {TransientLock} from 'f.lux/src/TransientProperty.js'

public class | source

# TransientLock

## Constructor Summary

Public Constructor
public | constructor(id: *, desc: *, trans: *) |

## Member Summary

Public Members
public | [_desc]: * |
public | [_lockId]: * |
public | [_trans]: * |

## Method Summary

Public Methods
public | desc(): * |
public | id(): * |
public | is(desc: *): * |
public | release() |
public | trans(): * |

## Public Constructors

### public constructor(id: *, desc: *, trans: *) source

#### Params:

Name | Type | Attribute | Description
id | * |  |
desc | * |  |
trans | * |  |

## Public Members

### public [_desc]: * source

### public [_lockId]: * source

### public [_trans]: * source

## Public Methods

### public desc(): * source

#### Return:

*

### public id(): * source

#### Return:

*

### public is(desc: *): * source

#### Params:

Name | Type | Attribute | Description
desc | * |  |

#### Return:

*

### public release() source

### public trans(): * source

#### Return:

*